AMD Radeon graphics issues

  • This topic has 6 replies, 4 voices, and was last updated Jan 21-7:40 am by rayburn.
Viewing 7 posts - 1 through 7 (of 7 total)
  • Author
    Posts
  • #50160
    Member
    rayburn

    I have another desktop on which I have tried to boot AntiX with a live usb created using the AntiX live usb creator on another system. It only succeeds in booting to a screen with a large band of colour along the bottom of the screen. I have tried using the failsafe option with the same result.

    This is the output of inxi -G

    Graphics:  Device-1: Advanced Micro Devices [AMD/ATI] Picasso driver: amdgpu v: kernel 
               Display: x11 server: X.org 1.20.10 driver: amdgpu,ati unloaded: fbdev,modesetting,vesa 
               resolution: <xdpyinfo missing> 
               OpenGL: renderer: AMD Radeon Vega 11 Graphics (RAVEN DRM 3.40.0 5.10.8-artix1-1 LLVM 11.0.1) v: 4.6 Mesa 20.3.3 
    

    I am guessing that this is a graphics problem so is there any method of modifying a live usb to be able to cope with these graphics? Other distros have booted without problem on this machine.

    #50173
    Member
    Xecure
    Helpful
    Up
    0
    :D

    Hello.

    Let me teach you something that will help you a lot in the future.

    The majority of the drivers needed to make the different components of a computer work in a Linux Operating System are inside the Linux kernel. When a new device is released to the market, it will normally need its new drivers to be included in the Linux kernels. If the company has done a poor job releasing those drivers before the hardware release (or is very secretive and doesn’t want anyone to know before its release, for whatever reason), those drivers will need to be included in newer kernel versions.
    This means that these drivers may NOT be included in older, Long Term Support kernels, so these kernels will not work properly with these devices (as the drivers will be missing).

    Your AMD GPU (AMD/ATI Picasso) was released in 2019, so the drivers will most likely be included in the kernel maintained in 2018 or in a newer kernel released in 2019.
    antiX 19 (the main edition) comes with a Linux kernel version 4.9 (released in 2016-2017). It isn’t unusual to see newer hardware not working with this kernel version.
    Because of others who had this issue (with other newer devices), the antiX team released and antiX edition with 4.19 kernel (released 2018-2019), which is more likely to work with newer hardware. You can download and give it a try: (select the base, full or with runit edition from https://sourceforge.net/projects/antix-linux/files/Final/antiX-19/4.19_kernel/).
    Some users with very new hardware have also had trouble with the 4.19 kernel (for example, intel 10th generation CPUs). They needed a newer kernel (5.8, for example), so this antiX with 4.19 kernel edition may also not work on your system (hopefully it will).

    I hope this gives you a bit more knowledge so you can understand if in the future a very new device doesn’t work on your system. Hopefully this is only anecdotal and will empower you in the future, as you will better understand how Linux works.

    Regards.

    • This reply was modified 5 months ago by Xecure. Reason: Fixing some words
    #50180
    Member
    rayburn
    Helpful
    Up
    0
    :D

    @Xecure
    Thank you so much for that info, I wasn’t aware that a version with the later kernel was available – thank you!

    I will try it out tomorrow.

    #50230
    Member
    rayburn
    Helpful
    Up
    0
    :D

    The 4.19 kernel in that link still wasn’t any better so I went with the testing version and that one is working nicely!

    Thanks again.

    #50231
    Forum Admin
    anticapitalista
    Helpful
    Up
    0
    :D

    The 4.19 kernel in that link still wasn’t any better so I went with the testing version and that one is working nicely!

    Thanks again.

    Which version is that?

    Philosophers have interpreted the world in many ways; the point is to change it.

    antiX with runit - leaner and meaner.

    #50254
    Member
    Murdock2525
    Helpful
    Up
    0
    :D

    5.10.0-7.1 liquorix is what I run. Kinda cute aint she ? 😉

    • This reply was modified 5 months ago by Murdock2525.
    Attachments:
    #50274
    Member
    rayburn
    Helpful
    Up
    0
    :D

    Which version is that?

    Sorry anti, I should have said it was the antiX-bullseye-a1_x64-full.iso that I downloaded from Sourceforge.

    It looks and behaves great so far so thank you!

    • This reply was modified 5 months ago by rayburn.
Viewing 7 posts - 1 through 7 (of 7 total)
  • You must be logged in to reply to this topic.